﻿@model ViewModels.Support.TicketCreateViewModel

@{
    ViewBag.Title = "Create new ticket";
}

<h2>@ViewBag.Title</h2>

<section class="create-ticket">
    @using (Html.BeginForm())
    {
        @Html.AntiForgeryToken()
        @Html.ValidationSummary(true)

        <div class="row">
            <div class="col-lg-6">
                <div class="form-group">
                    @Html.LabelFor(model => model.Subject, new { @class = "label-control" })
                    @Html.TextBoxFor(model => model.Subject, new { @class = "form-control" })
                    @Html.ValidationMessageFor(model => model.Subject)
                </div>
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Message, new { @class = "label-control" })
            @Html.TextAreaFor(model => model.Message, new { @class = "form-control ticket-message" })
            @Html.ValidationMessageFor(model => model.Message)
        </div>

        <div class="form-group">
            <input type="submit" value="Create" class="btn btn-info btn-marg" />
        </div>
    }
</section>

@section scripts{
    <script src="~/Content/lib/js/jquery.validate.min.js"></script>
    <script src="~/Content/lib/js/jquery.validate.unobtrusive.min.js"></script>
}